Loading...
Searching...
No Matches
Magick::annotateImage Class Reference

## Public Member Functions

| annotateImage (const std::string &text_, const Geometry &geometry_)
| annotateImage (const std::string &text_, const Geometry &geometry_, const GravityType gravity_)
| annotateImage (const std::string &text_, const Geometry &geometry_, const GravityType gravity_, const double degrees_)
| annotateImage (const std::string &text_, const GravityType gravity_)
void | operator() (Image &image_) const

## Private Attributes

const std::string | _text
const Geometry | _geometry
const GravityType | _gravity
const double | _degrees

## Detailed Description

Definition at line 106 of file STL.h.

## Constructor & Destructor Documentation

## annotateImage() [1/4]

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_
| ) |  |

Definition at line 70 of file STL.cpp.

: _text( text_ ),
_geometry( geometry_ ),
_gravity( Magick::NorthWestGravity ),
_degrees( 0 )
{
}

## annotateImage() [2/4]

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 79 of file STL.cpp.

: _text( text_ ),
_geometry( geometry_ ),
_gravity( gravity_ ),
_degrees( 0 )
{
}

## annotateImage() [3/4]

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const Geometry & | geometry_,
|  | const GravityType | gravity_,
|  | const double | degrees_
| ) |  |

Definition at line 90 of file STL.cpp.

: _text( text_ ),
_geometry( geometry_ ),
_gravity( gravity_ ),
_degrees( degrees_ )
{
}

## annotateImage() [4/4]

Magick::annotateImage::annotateImage | ( | const std::string & | text_,
|  | const GravityType | gravity_
| ) |  |

Definition at line 102 of file STL.cpp.

: _text( text_ ),
_geometry( ),
_gravity( gravity_ ),
_degrees( 0 )
{
}

## Member Function Documentation

## operator()()

void Magick::annotateImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 110 of file STL.cpp.

{
image_.annotate( _text, _geometry, _gravity, _degrees );
}

## Field Documentation

## _degrees

const double Magick::annotateImage::_degrees

private

Definition at line 137 of file STL.h.

## _geometry

const Geometry Magick::annotateImage::_geometry

private

Definition at line 135 of file STL.h.

## _gravity

const GravityType Magick::annotateImage::_gravity

private

Definition at line 136 of file STL.h.

## _text

const std::string Magick::annotateImage::_text

private

Definition at line 134 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp